@import url('./reset.css');
@import url('./variables.css');
@import url('./utils.css');

body {
  font-size: var(--text-size-base, 14px);
  background-color: var(--body-clr, #fcfeff);
  color: var(--clr-black, #303030);
  font-family: 'Arial', 'Helvetica', sans-serif;
  font-weight: 400;
  margin-block: 0;
  margin-inline: auto;
}

/* header */
.header {
  background-color: var(--clr-black, #303030);
  padding-block: 13px;
}

.header-wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.header-info {
  display: flex;
  align-items: center;
  color: #fff;
  padding: 13px 19px;
  border-radius: 20px;
  box-shadow: 0.3px 0.5px 1px 0.3px #ffffff59 inset;
  backdrop-filter: blur(20px);

  span,
  a {
    letter-spacing: 0.84px;
  }

  a {
    margin-inline-start: 5px;
    color: #fff;
    font-weight: bold;

    &:hover {
      text-decoration: underline;
    }
  }
}

.header-info__icon {
  --info-icon-size: 20px;
  width: var(--info-icon-size);
  height: var(--info-icon-size);
  margin-inline-end: 15px;
}
/* end header */

/* documents */
.documents {
  margin-block: 20px;
}

.documents-box {
  margin-block-start: 20px;
}

.document {
  margin-block: 10px;
  padding: 17px 26px;
  background-color: #fff;
  box-shadow: 0px 0px 8px 0px #0000001f;
  border-radius: var(--radius, 5px);
  display: flex;
  justify-content: space-between;
  transition: background-color 0.3s;

  &:hover,
  &:has(.document-btn:hover) {
    background-color: var(--clr-red-light);
    outline: 1px solid #30303014;
    box-shadow: 0px 0px 8px 0px #e000281f;
  }
}

.document-icon {
  --icon-size: 50px;
  width: var(--icon-size);
  height: var(--icon-size);
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--clr-red);
  border-radius: var(--radius, 5px);
  color: #fff;
  text-transform: uppercase;
  font-weight: bold;
  letter-spacing: 0.32px;
  box-shadow: 0px 0px 16px 0px #e0002840;
  flex-shrink: 0;
}

.document-info {
  display: flex;
  gap: 14px;
}

.document-meta {
  font-size: var(--text-size-medium, 20px);
  line-height: 100%;
}

.document-name {
  display: block;
  color: var(--clr-black);
  margin-block-end: 10px;
  line-height: var(--text-size-large, 24px);
}

.document-size {
  color: var(--clr-black-light);
}

.document-btn {
  --btn-size: 50px;
  --download-icon-size: 18px;
  display: flex;
  justify-content: center;
  align-items: center;
  width: var(--btn-size);
  height: var(--btn-size);
  background-color: transparent;
  border: 1px solid var(--clr-red);
  border-radius: var(--radius);
  cursor: pointer;
  transition: background-color 0.3s;
  flex-shrink: 0;

  svg {
    width: var(--download-icon-size);
    height: var(--download-icon-size);
  }

  &:hover {
    background-color: var(--btn-hover-clr);
  }
}

/* end documents */

/* 404 page */
.not-found {
  text-align: center;
  margin: 50px auto;
  border: 7px solid #f0f0f0;
  padding: 35px;

  h1 {
    margin-top: 20px;
    font-size: 24px;
    color: var(--clr-black, #303030);
  }

  p {
    font-weight: bold;
  }

  a {
    font-weight: bold;
    color: var(--clr-blue, #5285cc);

    &:hover {
      color: #7fb5ff;
    }
  }
}
/* end 404 page */

.skeleton {
  background-color: #e5e7eb;
  border-radius: 5px;
  animation: pulse 1.5s infinite;
  min-height: 88px;
  box-shadow: none;

  &:not(:first-child) {
    margin-block-start: 10px;
  }
}

.animate-pulse {
  animation: pulse 1.5s ease-in-out infinite;
}

@keyframes pulse {
  0% {
    opacity: 1;
  }
  50% {
    opacity: 0.4;
  }
  100% {
    opacity: 1;
  }
}

@media (max-width: 480px) {
  .header-logo {
    width: 100px;
  }

  .header-info span {
    display: none;
  }

  .document-meta {
    font-size: var(--text-size-mobile, 16px);
  }

  .document-btn {
    --btn-size: 38px;
  }

  .document {
    padding: 12px;
  }

  .document-icon {
    --icon-size: 28px;
    font-size: 12px;
  }
}
